/*
 Appearance.h
 
 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

// Name
CFStringRef AppearanceName( AppearanceRef ref );

// Appearance
AppearanceRef AppearanceNamed( CFStringRef name );

// Most appropriate appearance
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101400 && __MAC_OS_X_VERSION_MIN_REQUIRED >= 101400
CFStringRef AppearanceBestMatchFromAppearancesWithNames( AppearanceRef ref, CFArrayRef names );
#endif

// Current appearance
AppearanceRef AppearanceCurrent( void );
void AppearanceSetCurrent( AppearanceRef ref );

// Vibrancy
Boolean AppearanceAllowsVibrancy( AppearanceRef ref );

#endif// __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
