/*
 AppleScript.h
 
 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// -- init --
AppleScriptRef AppleScriptWithContentsOfURL( CFURLRef url, CFDictionaryRef *errInfo );
AppleScriptRef AppleScriptWithSource( CFStringRef source );

// -- info --
Boolean AppleScriptIsCompiled( AppleScriptRef script );
CFStringRef AppleScriptSource( AppleScriptRef script );
CFAttributedStringRef AppleScriptRichTextSource( AppleScriptRef script );

// -- compile and execute --
Boolean AppleScriptCompile( AppleScriptRef script, CFDictionaryRef *errInfo );
NSAppleEventDescriptor *AppleScriptExecute( AppleScriptRef script, CFDictionaryRef *errInfo );
//NSAppleEventDescriptor *AppleScriptExecuteAppleEvent( AppleScriptRef script, NSAppleEventDescriptor *aeDesc, CFDictionaryRef *errorInfo );

