/*
 CATiledLayer.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - init -
CATiledLayerRef CATiledLayerInit( void );

// - visual fade -
CFTimeInterval CATiledLayerFadeDuration( void );

// - levels of detail -
NSUInteger CATiledLayerLevelsOfDetail( CATiledLayerRef layer );
void CATiledLayerSetLevelsOfDetail( CATiledLayerRef layer, NSUInteger levels );
NSUInteger CATiledLayerLevelsOfDetailBias( CATiledLayerRef layer );
void CATiledLayerSetLevelsOfDetailBias( CATiledLayerRef layer, NSUInteger levels );

// - tile size -
CGSize CATiledLayerTileSize( CATiledLayerRef layer );
void CATiledLayerSetTileSize( CATiledLayerRef layer, CGSize size );

