/*
 CIDetector.m

 Bernie Wylde
 */

#import "CIDetector.h"

// Create
CIDetectorRef CIDetectorOfType( CFStringRef type, CIContextRef context, CFDictionaryRef options )
{ return [CIDetector detectorOfType:(NSString *)type context:context options:(NSDictionary *)options]; }

// Find features
CFArrayRef CIDetectorFeaturesInImage( CIDetectorRef ref, CIImageRef image )
{ return (CFArrayRef)[ref featuresInImage:image]; }

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1080
CFArrayRef CIDetectorFeaturesInImageWithOptions( CIDetectorRef ref, CIImageRef image, CFDictionaryRef options )
{ return (CFArrayRef)[ref featuresInImage:image options:(NSDictionary *)options]; }
#endif

