/*
 CIQRCodeFeature.m

 Bernie Wylde
 */

#import "CIQRCodeFeature.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
// Locate detected feature
CGRect CIQRCodeFeatureBounds( CIQRCodeFeatureRef ref )
{ return [ref bounds]; }

// Decode barcode
CFStringRef CIQRCodeFeatureMessageString( CIQRCodeFeatureRef ref )
{ return (CFStringRef)[ref messageString]; }
#endif

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300 && __MAC_OS_X_VERSION_MIN_REQUIRED >= 101300
CIQRCodeDescriptorRef CIQRCodeFeatureSymbolDescriptor( CIQRCodeFeatureRef ref )
{ return [ref symbolDescriptor]; }
#endif

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
// Identify corners of barcode
CGPoint CIQRCodeFeatureBottomLeft( CIQRCodeFeatureRef ref )
{ return [ref bottomLeft]; }

CGPoint CIQRCodeFeatureBottomRight( CIQRCodeFeatureRef ref )
{ return [ref bottomRight]; }

CGPoint CIQRCodeFeatureTopLeft( CIQRCodeFeatureRef ref )
{ return [ref topLeft]; }

CGPoint CIQRCodeFeatureTopRight( CIQRCodeFeatureRef ref )
{ return [ref topRight]; }
#endif

