/*
 ColorWell.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#pragma mark - subclass
@interface ColorWellSC : NSColorWell
@end

NSColorWell *ColorWellWithTag( NSInteger tag );
BOOL ColorWellExists( NSInteger tag );

ColorRef ColorWellColor( NSInteger tag );
void ColorWellSetColor( NSInteger tag, ColorRef col );
void ColorWellTakeColorFrom( NSInteger tag, NSInteger senderTag );

void ColorWellActivate( NSInteger tag, Boolean exclusive );
Boolean ColorWellIsActive( NSInteger tag );
void ColorWellDeactivate( NSInteger tag );

Boolean ColorWellIsBordered( NSInteger tag );
void ColorWellSetBordered( NSInteger tag, Boolean flag );

void ColorWellDrawWellInside( NSInteger tag, CGRect insideRect );


// Init
ColorWellRef ColorWellInit( NSInteger inTag, CGRect inRect );

// statement
void CocoaColorWell( NSInteger inTag, NSInteger inEnabled, void *inColor, CGRect inRect, NSInteger inBordered, NSInteger inWndTag );


