/*
 ComparisonPredicate.h
 
 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Create
ComparisonPredicateRef ComparisonPredicateWithCustomSelector( ExpressionRef leftExpression, ExpressionRef rightExpression, CFStringRef customSelector );
ComparisonPredicateRef ComparisonPredicateWithModifier( ExpressionRef leftExpression, ExpressionRef rightExpression, NSComparisonPredicateModifier modifier, NSPredicateOperatorType type, NSComparisonPredicateOptions options );

// Info
NSComparisonPredicateModifier ComparisonPredicateModifier( ComparisonPredicateRef ref );
// customSelector
ExpressionRef ComparisonPredicateRightExpression( ComparisonPredicateRef ref );
ExpressionRef ComparisonPredicateLeftExpression( ComparisonPredicateRef ref );
NSComparisonPredicateOptions ComparisonPredicateOptions( ComparisonPredicateRef ref );
NSPredicateOperatorType ComparisonPredicateOperatorType( ComparisonPredicateRef ref );
