/*
 Error.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Properties
NSInteger ErrorCode( ErrorRef err );
CFStringRef ErrorDomain( ErrorRef err );
CFDictionaryRef ErrorUserInfo( ErrorRef err );

// Localized description
CFStringRef ErrorLocalizedDescription( ErrorRef err );
CFArrayRef ErrorLocalizedRecoveryOptions( ErrorRef err );
CFStringRef ErrorLocalizedRecoverySuggestion( ErrorRef err );
CFStringRef ErrorLocalizedFailureReason( ErrorRef err );

// Display helpAnchor
CFStringRef ErrorHelpAnchor( ErrorRef err );
