/*
 Error.m

 Bernie Wylde
 */

#import "Error.h"

// Properties
NSInteger ErrorCode( ErrorRef err )
{ return [err code]; }

CFStringRef ErrorDomain( ErrorRef err )
{ return (CFStringRef)[err domain]; }

CFDictionaryRef ErrorUserInfo( ErrorRef err )
{ return (CFDictionaryRef)[err userInfo]; }

// Localized description
CFStringRef ErrorLocalizedDescription( ErrorRef err )
{ return (CFStringRef)[err localizedDescription]; }

CFArrayRef ErrorLocalizedRecoveryOptions( ErrorRef err )
{ return (CFArrayRef)[err localizedRecoveryOptions]; }

CFStringRef ErrorLocalizedRecoverySuggestion( ErrorRef err )
{ return (CFStringRef)[err localizedRecoverySuggestion]; }

CFStringRef ErrorLocalizedFailureReason( ErrorRef err )
{ return (CFStringRef)[err localizedFailureReason]; }

// Display helpAnchor
CFStringRef ErrorHelpAnchor( ErrorRef err )
{ return (CFStringRef)[err helpAnchor]; }

