/*
 Geometry.m

 Bernie Wylde
 */

#import "Geometry.h"

CFStringRef StringFromPoint( CGPoint pt )
{ return (CFStringRef)NSStringFromPoint( NSPointFromCGPoint(pt)); }

CFStringRef StringFromSize( CGSize size )
{ return (CFStringRef)NSStringFromSize( NSSizeFromCGSize(size)); }

CFStringRef StringFromRect( CGRect rect )
{ return (CFStringRef)NSStringFromRect( NSRectFromCGRect(rect)); }

CGPoint PointFromString( CFStringRef string )
{ return NSPointToCGPoint(NSPointFromString((NSString *)string)); }

CGSize SizeFromString( CFStringRef string )
{ return NSSizeToCGSize(NSSizeFromString((NSString *)string)); }

CGRect RectFromString( CFStringRef string )
{ return NSRectToCGRect(NSRectFromString((NSString *)string)); }


