/*
 InvocationOperation.m

 Bernie Wylde
 */

#import "InvocationOperation.h"

@implementation InvocationOperation

@synthesize callback;

- (id)initWithCallback:(InvocationOperationCallbackType)cb object:(id)object {
    if ( [super initWithTarget:self selector:@selector(action:) object:object] ) {
        callback = cb;
    }
    return self;
}

- (void)action:(id)object {
    (*callback)(object);
}
@end

