/*
 NotificationQueue.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - create -
NotificationQueueRef NotificationQueueWithNotificationCenter( NotificationCenterRef ref );

// - default queue -
NotificationQueueRef NotificationQueueDefault( void );

// - managing notifications -
void NotificationQueueEnqueueNotificationWithCoalescing( NotificationQueueRef queue, NotificationRef note, NSPostingStyle style, NSNotificationCoalescing coalesceMask, CFArrayRef modes );
void NotificationQueueEnqueueNotification( NotificationQueueRef queue, NotificationRef note, NSPostingStyle style );
void NotificationQueueDequeueNotification( NotificationQueueRef queue, NotificationRef note, NSNotificationCoalescing coalesceMask );

