/*
 PDFInfo.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1090
// - init -
PDFInfoRef PDFInfoInit( void );

// - methods -
CFURLRef PDFInfoURL( PDFInfoRef ref );
void PDFInfoSetURL( PDFInfoRef ref, CFURLRef url );
Boolean PDFInfoIsFileExtensionHidden( PDFInfoRef ref );
void PDFInfoSetFileExtensionHidden( PDFInfoRef ref, Boolean flag );
CFArrayRef PDFInfoTagNames( PDFInfoRef ref );
void PDFInfoSetTagNames( PDFInfoRef ref, CFArrayRef names );
NSPaperOrientation PDFInfoOrientation( PDFInfoRef ref );
void PDFInfoSetOrientation( PDFInfoRef ref, NSPaperOrientation orientation );
CGSize PDFInfoPaperSize( PDFInfoRef ref );
void PDFInfoSetPaperSize( PDFInfoRef ref, CGSize size );
CFMutableDictionaryRef PDFInfoAttributes( PDFInfoRef ref );
#endif

