/*
 Printer.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - create -
PrinterRef PrinterWithName( CFStringRef name );
PrinterRef PrinterWithType( CFStringRef type );

// - printer info -
CFArrayRef PrinterNames( void );
CFArrayRef PrinterTypes( void );

// - attributes -
CFStringRef PrinterName( PrinterRef printer );
CFStringRef PrinterType( PrinterRef printer );

// - specific info -
CGSize PrinterPageSizeForPaper( PrinterRef printer, CFStringRef paperName );
NSInteger PrinterLanguageLevel( PrinterRef printer );

// - query tables -
CFDictionaryRef PrinterDeviceDescription( PrinterRef printer );

