/*
 Range.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

CFRange RangeMake( NSUInteger location, NSUInteger length );
NSUInteger RangeMax( CFRange range );
Boolean RangeLocation( CFRange range, NSUInteger location );
Boolean RangeEqual( CFRange range1, CFRange range2 );
CFRange RangeUnion( CFRange range1, CFRange range2 );
CFRange RangeIntersection( CFRange range1, CFRange range2 );
CFRange RangeFromString( CFStringRef string );
CFStringRef RangeToString( CFRange range );
CFRange RangeFromString( CFStringRef string );
