/*
 RotationGestureRecognizer.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@interface CocoaRotationGestureRecognizer : NSRotationGestureRecognizer
@end

// - init -
RotationGestureRecognizerRef RotationGestureRecognizerInit( void *callback, void *userData );

// - interpreting -
CGFloat RotationGestureRecognizerRotation( RotationGestureRecognizerRef ref );
void RotationGestureRecognizerSetRotation( RotationGestureRecognizerRef ref, CGFloat rotation );
CGFloat RotationGestureRecognizerRotationInDegrees( RotationGestureRecognizerRef ref );
void RotationGestureRecognizerSetRotationDegrees( RotationGestureRecognizerRef ref, CGFloat rotation );

#endif

