/*
 SecureTextField.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

@interface SecureTextFieldSC : NSSecureTextField
@end

NSSecureTextField *SecureTextFieldWithTag( NSInteger tag );
BOOL SecureTextFieldExists( NSInteger tag );

Boolean SecureTextFieldEchosBullets( NSInteger tag );
void SecureTextFieldSetEchosBullets( NSInteger tag, Boolean flag );


// Init
SecureTextFieldRef SecureTextFieldInit( NSInteger inTag, CGRect inRect );

// Statement
void CocoaSecureTextField( NSInteger inTag, NSInteger inEnabled, CFStringRef inText, CGRect inRect, NSInteger inWndTag );
