/*
 SharingService.m

 Bernie Wylde
 */

#import "SharingService.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1080



/*
 SharingServicePicker
 */

// Create
SharingServicePickerRef SharingServicePickerWithItems( CFArrayRef items )
{ return [[[NSSharingServicePicker alloc] initWithItems:(NSArray *)items] autorelease]; }

// Display
void SharingServicePickerShowRelativeToRect( SharingServicePickerRef ref, CGRect r, NSInteger vwTag, CGRectEdge preferredEdge )
{
    NSView *view = CocoaViewWithTag( vwTag );
    if ( view ) [ref showRelativeToRect:NSRectFromCGRect(r) ofView:view preferredEdge:(NSRectEdge)preferredEdge];
}





#endif// __MAC_OS_X_VERSION_MAX_ALLOWED >= 1080
