/*
 StatusBarButton.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
typedef void (*CocoaStatusBarButtonCallbackType)(StatusBarButtonRef,void*);
@interface CocoaStatusBarButtonTarget : NSObject {
    CocoaStatusBarButtonCallbackType callback;
    void *userData;
}
@property (assign) CocoaStatusBarButtonCallbackType callback;
@property (assign) void *userData;
@end

Boolean StatusBarButtonAppearsDisabled( StatusBarButtonRef ref );
void StatusBarButtonSetAppearsDisabled( StatusBarButtonRef ref, Boolean flag );
#endif

