/*
 Stepper.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

@interface StepperSC : NSStepper
@end

@interface CocoaStepperTarget : NSObject
@end

NSStepper *StepperWithTag( NSInteger tag );
BOOL StepperExists( NSInteger tag );

double StepperMaxValue( NSInteger tag );
void StepperSetMaxValue( NSInteger tag, double value );
double StepperMinValue( NSInteger tag );
void StepperSetMinValue( NSInteger tag, double value );
double StepperIncrement( NSInteger tag );
void StepperSetIncrement( NSInteger tag, double increment );

Boolean StepperAutorepeat( NSInteger tag );
void StepperSetAutorepeat( NSInteger tag, Boolean flag );
Boolean StepperValueWraps( NSInteger tag );
void StepperSetValueWraps( NSInteger tag, Boolean flag );


// Init
StepperRef StepperInit( NSInteger inTag, CGRect inRect );

// Statement
void CocoaStepper( NSInteger inTag, NSInteger inEnabled, double inValue, CGRect inRect, double inMinValue, double inMaxValue, NSInteger inWndTag );

