/*
 StringDrawing.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>





/*
 StringDrawingContext
 
 macOS 10.11+
 */

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

// Scale factors
CGFloat StringDrawingContextMinimumScaleFactor( StringDrawingContextRef ctx );
void StringDrawingContextSetMinimumScaleFactor( StringDrawingContextRef ctx, CGFloat factor );
CGFloat StringDrawingContextActualScaleFactor( StringDrawingContextRef ctx );

// Bounds
CGRect StringDrawingContextTotalBounds( StringDrawingContextRef ctx );

#endif
