/*
 StringDrawing.m

 Bernie Wylde
 */

#import "StringDrawing.h"




/*
 StringDrawingContext
 
 macOS 10.11+
 */

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

// Scale factors
CGFloat StringDrawingContextMinimumScaleFactor( StringDrawingContextRef ctx )
{ return [ctx minimumScaleFactor]; }

void StringDrawingContextSetMinimumScaleFactor( StringDrawingContextRef ctx, CGFloat factor )
{ [ctx setMinimumScaleFactor:factor]; }

CGFloat StringDrawingContextActualScaleFactor( StringDrawingContextRef ctx )
{ return [ctx actualScaleFactor]; }

// Bounds
CGRect StringDrawingContextTotalBounds( StringDrawingContextRef ctx )
{ return NSRectToCGRect([ctx totalBounds]); }

#endif
