/*
 TextList.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Create
TextListRef TextListWithMarkerFormat( CFStringRef format, NSUInteger options );

// Markers
CFStringRef TextListMarkerFormat( TextListRef ref );
CFStringRef TextListMarkerForItemNumber( TextListRef ref, NSInteger itemNum );

// Options
NSUInteger TextListOptions( TextListRef ref );

// Item numbering
NSInteger TextListStartingItemNumber( TextListRef ref );

