/*
 TextList.m

 Bernie Wylde
 */

#import "TextList.h"


// Create
TextListRef TextListWithMarkerFormat( CFStringRef format, NSUInteger options )
{ return [[[NSTextList alloc] initWithMarkerFormat:(NSString *)format options:options] autorelease]; }

// Markers
CFStringRef TextListMarkerFormat( TextListRef ref )
{ return (CFStringRef)[ref markerFormat]; }

CFStringRef TextListMarkerForItemNumber( TextListRef ref, NSInteger itemNum )
{ return (CFStringRef)[ref markerForItemNumber:itemNum]; }

// Options
NSUInteger TextListOptions( TextListRef ref )
{ return [ref listOptions]; }

// Item numbering
NSInteger TextListStartingItemNumber( TextListRef ref )
{ return [ref startingItemNumber]; }

