/*
 TrackingArea.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Init
TrackingAreaRef TrackingAreaWithRect( CGRect r, NSTrackingAreaOptions options, NSInteger ownerTag, CFDictionaryRef userInfo );

// Attributes
NSTrackingAreaOptions TrackingAreaOptions( TrackingAreaRef ref );
NSInteger TrackingAreaOwner( TrackingAreaRef ref );
CGRect TrackingAreaRect( TrackingAreaRef ref );
CFDictionaryRef TrackingAreaUserInfo( TrackingAreaRef ref );
