/*
 TrackingArea.m

 Bernie Wylde
 */

#import "TrackingArea.h"

// Init
TrackingAreaRef TrackingAreaWithRect( CGRect r, NSTrackingAreaOptions options, NSInteger ownerTag, CFDictionaryRef userInfo )
{
    
    return nil;
}

// Attributes
NSTrackingAreaOptions TrackingAreaOptions( TrackingAreaRef ref )
{ return [ref options]; }

NSInteger TrackingAreaOwner( TrackingAreaRef ref )
{
    id owner = [ref owner];
    if ( owner ) return CocoaViewTag(owner);
    return 0;
}

CGRect TrackingAreaRect( TrackingAreaRef ref )
{ return NSRectToCGRect([ref rect]); }

CFDictionaryRef TrackingAreaUserInfo( TrackingAreaRef ref )
{ return (CFDictionaryRef)[ref userInfo]; }

