/*
 UserNotificationAction.m

 Bernie Wylde
 */

#import "UserNotificationAction.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

// - create -
UserNotificationActionRef UserNotificationActionInit( CFStringRef identifier, CFStringRef title )
{ return [NSUserNotificationAction actionWithIdentifier:(NSString *)identifier title:(NSString *)title]; }

// - identifier and title -
CFStringRef UserNotificationActionIdentifier( UserNotificationActionRef ref )
{ return (CFStringRef)[ref identifier]; }

CFStringRef UserNotificationActionTitle( UserNotificationActionRef ref )
{ return (CFStringRef)[ref title]; }

#endif

