/*
 Value.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

ValueRef ValueWithPointer( void *p );
void *ValuePointer( ValueRef v );

ValueRef ValueWithRange( CFRange range );
CFRange ValueRange( ValueRef v );

ValueRef ValueWithPoint( CGPoint pt );
CGPoint ValuePoint( ValueRef v );

ValueRef ValueWithSize( CGSize size );
CGSize ValueSize( ValueRef v );

ValueRef ValueWithRect( CGRect r );
CGRect ValueRect( ValueRef v );

// - CATransform3DAdditions -
ValueRef ValueWithCATransform3D( CATransform3D t );

