/*
 WindowTab.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300 && __MAC_OS_X_VERSION_MIN_REQUIRED >= 101300

NSInteger WindowTabAccessoryView( WindowTabRef ref );
void WindowTabSetAccessoryView( WindowTabRef ref, NSInteger tag );
CFAttributedStringRef WindowTabAttributedTitle( WindowTabRef ref );
void WindowTabSetAttributedTitle( WindowTabRef ref, CFAttributedStringRef aString );
CFStringRef WindowTabTitle( WindowTabRef ref );
void WindowTabSetTitle( WindowTabRef ref, CFStringRef title );
CFStringRef WindowTabToolTip( WindowTabRef ref );
void WindowTabSetToolTip( WindowTabRef ref, CFStringRef toolTip );

#endif
