/*
  CAMediaTimingFunction.m

  Bernie Wylde 20180828
*/

#import "CAMediaTimingFunction.h"

// Create
CAMediaTimingFunctionRef CAMediaTimingFunctionWithName( CFStringRef name )
{ return [CAMediaTimingFunction functionWithName:(NSString *)name]; }

CAMediaTimingFunctionRef CAMediaTimingFunctionWithControlPoints( float c1x, float c1y, float c2x, float c2y )
{ return [CAMediaTimingFunction functionWithControlPoints:c1x :c1y :c2x :c2y]; }

// Control points
void CAMediaTimingFunctionGetControlPointAtIndex( CAMediaTimingFunctionRef ref, long index, float *pt )
{ return [ref getControlPointAtIndex:index values:pt]; }

