/*
 CAScrollLayer.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - init -
CAScrollLayerRef CAScrollLayerInit( void );

// - constraints -
CFStringRef caScrollLayerScrollMode( CAScrollLayerRef layer );
void CAScrollLayerSetScrollMode( CAScrollLayerRef layer, CFStringRef scrollMode );

// - scrolling -
void CAScrollLayerScrollToPoint( CAScrollLayerRef layer, CGPoint pt );
void CAScrollLayerScrollToRect( CAScrollLayerRef layer, CGRect r );

