/*
 CAScrollLayer.m

 Bernie Wylde
 */

#import "CAScrollLayer.h"

// - init -
CAScrollLayerRef CAScrollLayerInit( void )
{ return [CAScrollLayer layer]; }

// - constraints -
CFStringRef caScrollLayerScrollMode( CAScrollLayerRef layer )
{ return (CFStringRef)[layer scrollMode]; }

void CAScrollLayerSetScrollMode( CAScrollLayerRef layer, CFStringRef scrollMode )
{ [layer setScrollMode:(NSString *)scrollMode]; }

// - scrolling -
void CAScrollLayerScrollToPoint( CAScrollLayerRef layer, CGPoint pt )
{ [layer scrollToPoint:pt]; }

void CAScrollLayerScrollToRect( CAScrollLayerRef layer, CGRect r )
{ [layer scrollToRect:r]; }

