/*
 CATiledLayer.m

 Bernie Wylde
 */

#import "CATiledLayer.h"

// - init -
CATiledLayerRef CATiledLayerInit( void )
{ return [CATiledLayer layer]; }

// - visual fade -
CFTimeInterval CATiledLayerFadeDuration( void )
{ return [CATiledLayer fadeDuration]; }

// - levels of detail -
NSUInteger CATiledLayerLevelsOfDetail( CATiledLayerRef layer )
{ return [layer levelsOfDetail]; }

void CATiledLayerSetLevelsOfDetail( CATiledLayerRef layer, NSUInteger levels )
{ [layer setLevelsOfDetail:levels]; }

NSUInteger CATiledLayerLevelsOfDetailBias( CATiledLayerRef layer )
{ return [layer levelsOfDetailBias]; }

void CATiledLayerSetLevelsOfDetailBias( CATiledLayerRef layer, NSUInteger levels )
{ [layer setLevelsOfDetailBias:levels]; }

// - tile size -
CGSize CATiledLayerTileSize( CATiledLayerRef layer )
{ return [layer tileSize]; }

void CATiledLayerSetTileSize( CATiledLayerRef layer, CGSize size )
{ [layer setTileSize:size]; }

