/*
 CIDetector.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Create
CIDetectorRef CIDetectorOfType( CFStringRef type, CIContextRef context, CFDictionaryRef options );

// Find features
CFArrayRef CIDetectorFeaturesInImage( CIDetectorRef ref, CIImageRef image );

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1080
CFArrayRef CIDetectorFeaturesInImageWithOptions( CIDetectorRef ref, CIImageRef image, CFDictionaryRef options );
#endif

