/*
 CIQRCodeFeature.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
// Locate detected feature
CGRect CIQRCodeFeatureBounds( CIQRCodeFeatureRef ref );

// Decode barcode
CFStringRef CIQRCodeFeatureMessageString( CIQRCodeFeatureRef ref );
#endif

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300 && __MAC_OS_X_VERSION_MIN_REQUIRED >= 101300
CIQRCodeDescriptorRef CIQRCodeFeatureSymbolDescriptor( CIQRCodeFeatureRef ref );
#endif

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
// Identify corners of barcode
CGPoint CIQRCodeFeatureBottomLeft( CIQRCodeFeatureRef ref );
CGPoint CIQRCodeFeatureBottomRight( CIQRCodeFeatureRef ref );
CGPoint CIQRCodeFeatureTopLeft( CIQRCodeFeatureRef ref );
CGPoint CIQRCodeFeatureTopRight( CIQRCodeFeatureRef ref );
#endif

