/*
 Cell.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

@interface CellSC : NSCell
@end


@interface CellEvent : NSObject {
    NSFont *fontObj;
}
@property (assign) NSFont *fontObj;
@end

// dialog events
enum {
    cellFont = 4200
};

CellEvent *CellEventObj( void );

NSFont *CellEventFont( void );
void CellEventSetFont( FontRef font );



// Textual attributes
CFStringRef CellTitle( CellRef ref );
void CellSetTitle( CellRef ref, CFStringRef title );

// Multipart images
void nsDrawThreePartImage( CGRect frame, ImageRef startCap, ImageRef centerFill, ImageRef endCap, Boolean vertical, NSCompositingOperation op, CGFloat alphaFraction, Boolean flipped );
void nsDrawNinePartImage( CGRect frame, ImageRef tl, ImageRef t, ImageRef tr, ImageRef l, ImageRef c, ImageRef r, ImageRef bl, ImageRef b, ImageRef br, NSCompositingOperation op, CGFloat alphaFraction, Boolean flipped );
