/*
 Compiler.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#pragma mark - private
// '_priv' suffix to avoid clash with function of same name in FB source
BOOL CompilerIsRunning_priv( void );

// '_priv' suffix to avoid clash with function of same name in FB source
void CompilerPostNotification_priv( CFStringRef name, CFStringRef object, CFDictionaryRef userInfo );

void CompilerProcessFileAtURL( CFURLRef url, CFStringRef action );

#pragma mark - public
void CompilerRunFileAtURL( CFURLRef url );
void CompilerAnalyzeFileAtURL( CFURLRef url );
void CompilerBuildFileAtURL( CFURLRef url );
void CompilerAbort( void );
void CompilerShowSettings( void );
void CompilerTerminate( void );

CFURLRef CompilerHeadersURL( void );

