/*
 CompoundPredicate.h
 
 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Constructors
CompoundPredicateRef CompoundPredicateAndPredicateWithSubpredicates( CFArrayRef subpredicates );
CompoundPredicateRef CompoundPredicateNotPredicateWithSubpredicate( PredicateRef predicate );
CompoundPredicateRef CompoundPredicateOrPredicateWithSubpredicates( CFArrayRef subpredicates );
CompoundPredicateRef CompoundPredicateWithType( NSCompoundPredicateType type, CFArrayRef subpredicates );

// Info
NSCompoundPredicateType CompoundPredicateType( CompoundPredicateRef ref );
CFArrayRef CompoundPredicateSubpredicates( CompoundPredicateRef ref );
