/*
 DockTile.m

 Bernie Wylde
 */

#import "DockTile.h"

ViewRef DockTileContentView( DockTileRef tile )
{ return [tile contentView]; }

CGSize DockTileSize( DockTileRef tile )
{ return NSSizeToCGSize([tile size]); }

//id DockTileOwner( DockTileRef tile );

Boolean DockTileShowsApplicationBadge( DockTileRef tile )
{ return [tile showsApplicationBadge]; }

void DockTileSetShowsApplicationBadge( DockTileRef tile, Boolean flag )
{ [tile setShowsApplicationBadge:flag]; }

CFStringRef DockTileBadgeLabel( DockTileRef tile )
{ return (CFStringRef)[tile badgeLabel]; }

void DockTileSetBadgeLabel( DockTileRef tile, CFStringRef label )
{ [tile setBadgeLabel:(NSString *)label]; }

void DockTileDisplay( DockTileRef tile )
{ [tile display]; }

