/*
 DraggingItem.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

typedef BOOL (*CocoaDraggingItemImageComponentsProviderCallbackType)(NSDraggingItem*,void *);

// Init
DraggingItemRef DraggingItemWithPasteboardWriter( PasteboardWritingRef pbWriter );

// Frame
void DraggingItemSetFrame( DraggingItemRef ref, CGRect r, CFTypeRef contents );
CGRect DraggingItemFrame( DraggingItemRef ref );

// Image components
CFArrayRef DraggingItemImageComponents( DraggingItemRef ref );
//CFArrayRef DraggingItemImageComponentsProvider( DraggingItemRef ref, CocoaDraggingItemImageComponentsProviderCallbackType callback, void *userData );
CFTypeRef DraggingItemItem( DraggingItemRef ref );
