/*
 IKImageEditPanel.m

 Bernie Wylde
 */

#import "IKImageEditPanel.h"

/*
 IKImageEditPanelDataSource
 */
@implementation CocoaIKImageEditPanelDataSource

- (NSDictionary *)imageProperties {
    return nil;
}

- (void)setImage:(CGImageRef)image imageProperties:(NSDictionary *)metaData {
}

- (CGImageRef)image {
    return nil;
}

- (CGImageRef)thumbnailWithMaximumSize:(NSSize)size {
    return nil;
}

- (BOOL)hasAdjustMode {
    return YES;
}

- (BOOL)hasDetailsMode {
    return YES;
}

- (BOOL)hasEffectsMode {
    return YES;
}
@end

CocoaIKImageEditPanelDataSource *CocoaIKImageEditPanelDataSourceObj( void )
{
    static CocoaIKImageEditPanelDataSource *sCocoaIKImageEditPanelDataSource = nil;
    if ( !sCocoaIKImageEditPanelDataSource ) sCocoaIKImageEditPanelDataSource = [[CocoaIKImageEditPanelDataSource alloc] init];
    return sCocoaIKImageEditPanelDataSource;
}



/*
 IKImageEditPanel
 */

// Create
IKImageEditPanelRef IKImageEditPanelShared( void )
{ return [IKImageEditPanel sharedImageEditPanel]; }

// User adjustments and effects
CFArrayRef IKImageEditPanelFilterArray( IKImageEditPanelRef ref )
{ return (CFArrayRef)[ref filterArray]; }

// Data
IKImageEditPanelDataSourceRef IKImageEditPanelDataSource( IKImageEditPanelRef ref )
{ return [ref dataSource]; }

void IKImageEditPanelSetDataSource( IKImageEditPanelRef ref, IKImageEditPanelDataSourceRef dataSource )
{
    CocoaIKImageEditPanelDataSource *ds = CocoaIKImageEditPanelDataSourceObj();
    [ref setDataSource:ds];
//    [ref setDataSource:dataSource];
}

void IKImageEditPanelReloadData( IKImageEditPanelRef ref, IKImageEditPanelDataSourceRef dataSource )
{ [ref reloadData]; }

