/*
 InvocationOperation.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

typedef void (*InvocationOperationCallbackType)(id);

@interface InvocationOperation : NSInvocationOperation {
    InvocationOperationCallbackType callback;
}

@property (assign) InvocationOperationCallbackType callback;

- (id)initWithCallback:(InvocationOperationCallbackType)cb object:(id)object;
- (void)action:(id)object;
@end

