/*
 JSONSerialization.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Create object
CFTypeRef JSONSerializationJSONObjectWithData( CFDataRef dta, NSJSONReadingOptions options, ErrorRef *err );
CFTypeRef JSONSerializationJSONObjectWithStream( CFReadStreamRef stream, NSJSONReadingOptions options, ErrorRef *err );

// Create data
CFDataRef JSONSerializationDataWithJSONObject( CFTypeRef obj, NSJSONWritingOptions options, ErrorRef *err );
NSInteger JSONSerializationWriteJSONObjectToStream( CFTypeRef obj, CFWriteStreamRef stream, NSJSONWritingOptions options, ErrorRef *err );
Boolean JSONSerializationIsValidJSONObject( CFTypeRef obj );
