/*
 MagnificationGestureRecognizer.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000

/*
 Subclass
 */
@interface CocoaMagnificationGestureRecognizer : NSMagnificationGestureRecognizer
@end

// - init -
MagnificationGestureRecognizerRef MagnificationGestureRecognizerInit( void *callback, void *userData );

// - magnification factor -
CGFloat MagnificationGestureRecognizerMagnification( MagnificationGestureRecognizerRef ref );
void MagnificationGestureRecognizerSetMagnification( MagnificationGestureRecognizerRef ref, CGFloat magnification );

#endif
