/*
 PDFPanel.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1090
typedef void (*CocoaPDFPanelCallbackType)(PDFInfoRef,NSInteger,void*);

// - create -
PDFPanelRef PDFPanelInit( void );

// - contents -
// accessoryController
NSPDFPanelOptions PDFPanelOptions( PDFPanelRef ref );
void PDFPanelSetOptions( PDFPanelRef ref, NSPDFPanelOptions options );
CFStringRef PDFPanelDefaultFileName( PDFPanelRef ref );
void PDFPanelSetDefaultFileName( PDFPanelRef ref, CFStringRef fileName );

// - display -
void PDFPanelBeginSheet( PDFPanelRef ref, PDFInfoRef info, NSInteger wndTag, CocoaPDFPanelCallbackType callback, void *userData );
#endif

