/*
 Panel.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

@interface PanelSC : NSPanel
@end

@interface NSPanel (Additions)
@property (nonatomic,retain) NSNumber *tagNumber;
- (NSInteger)tag;
- (void)setTag:(NSInteger)tag;
@end

NSPanel *PanelWithTag( NSInteger tag );
BOOL PanelExists( NSInteger tag );

void PanelSetFloatingPanel( NSInteger tag, Boolean flag );
void PanelSetBecomesKeyOnlyIfNeeded( NSInteger tag, Boolean flag );
void PanelSetWorksWhenModal( NSInteger tag, Boolean flag );


// Init
PanelRef PanelInit( NSInteger tag, CGRect r );

// Statement
void CocoaPanel( NSInteger inTag, CFStringRef inTitle, CGRect inRect, NSInteger inStyle );

