/*
 PointerFunctions.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - create -
PointerFunctionsRef PointerFunctionsWithOptions( NSPointerFunctionsOptions options );

// - personality functions -
void *PointerFunctionsHashFunction( PointerFunctionsRef pf );
void PointerFunctionsSetHashFunction( PointerFunctionsRef pf, void *fnAddress );
void *PointerFunctionsIsEqualFunction( PointerFunctionsRef pf );
void PointerFunctionsSetIsEqualFunction( PointerFunctionsRef pf, void *fnAddress );
void *PointerFunctionsSizeFunction( PointerFunctionsRef pf );
void PointerFunctionsSetSizeFunction( PointerFunctionsRef pf, void *fnAddress );
void *PointerFunctionsDescriptionFunction( PointerFunctionsRef pf );
void PointerFunctionsSetDescriptionFunction( PointerFunctionsRef pf, void *fnAddress );

// - memory configuration -
void *PointerFunctionsAcquireFunction( PointerFunctionsRef pf );
void PointerFunctionsSetAcquireFunction( PointerFunctionsRef pf, void *fnAddress );
void *PointerFunctionsRelinquishFunction( PointerFunctionsRef pf );
void PointerFunctionsSetRelinquishFunction( PointerFunctionsRef pf, void *fnAddress );

