/*
 Port.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Create
PortRef PortInit( void );

// Validate
void PortInvalidate( PortRef ref );
Boolean PortIsValid( PortRef ref );

// Info
Boolean PortSendBeforeDate( PortRef ref, CFDateRef dt, CFMutableArrayRef components, PortRef fromPort, NSUInteger reserved );
Boolean PortSendBeforeDateMsgID( PortRef ref, CFDateRef dt, NSUInteger msgID, CFMutableArrayRef components, PortRef fromPort, NSUInteger reserved );
NSUInteger PortReservedSpaceLength( PortRef ref );

// Monitoring
void PortRemoveFromRunLoop( PortRef ref, RunLoopRef runLoop, CFStringRef mode );
void PortScheduleInRunLoop( PortRef ref, RunLoopRef runLoop, CFStringRef mode );
