/*
 PressureConfiguration.m

 Bernie Wylde
 */

#import "PressureConfiguration.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100

// Create
PressureConfigurationRef PressureConfigurationWithBehavior( NSPressureBehavior behavior )
{ return [[[NSPressureConfiguration alloc] initWithPressureBehavior:behavior] autorelease]; }

void PressureConfigurationSet( PressureConfigurationRef ref )
{ [ref set]; }

// Properties
NSPressureBehavior PressureConfigurationBehavior( PressureConfigurationRef ref )
{ return [ref pressureBehavior]; }

#endif
