/*
 PropertyList.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

/*
 PropertyListSerialization
 */
// - serializing -
CFDataRef PropertyListSerializationDataWithPropertyList( CFTypeRef plistObj, NSPropertyListFormat format, ErrorRef *err );
//NSInteger PropertyListSerializationWritePropertyList( CFTypeRef plistObj, OutputStreamRef stream, NSPropertyListFormat format, ErrorRef *err );

// - deserializing -
CFTypeRef PropertyListSerializationPropertyListWithData( CFDataRef dta, NSPropertyListReadOptions options, NSPropertyListFormat *format, ErrorRef *err );
//CFTypeRef PropertyListSerializationPropertyListWithStream( InputStreamRef stream, NSPropertyListReadOptions options, NSPropertyListFormat *format, ErrorRef *err );

// - validating -
Boolean PropertyListSerializationPropertyListIsValidForFormat( CFTypeRef plistObj, NSPropertyListFormat format );
