/*
 RunningApplication.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

RunningApplicationRef RunningApplicationWithProcessIdentifier( pid_t pid );
CFArrayRef RunningApplicationsWithBundleIdentifier( CFStringRef identifier );
RunningApplicationRef RunningApplicationCurrentApplication( void );
Boolean RunningApplicationIsActive( RunningApplicationRef ra );
Boolean RunningApplicationActivate( RunningApplicationRef ra, NSApplicationActivationOptions options );
NSApplicationActivationPolicy RunningApplicationActivationPolicy( RunningApplicationRef ra );
Boolean RunningApplicationHide( RunningApplicationRef ra );
Boolean RunningApplicationUnhide( RunningApplicationRef ra );
Boolean RunningApplicationIsHidden( RunningApplicationRef ra );

CFStringRef RunningApplicationLocalizedName( RunningApplicationRef ra );
ImageRef RunningApplicationIcon( RunningApplicationRef ra );
CFStringRef RunningApplicationBundleIdentifier( RunningApplicationRef ra );
CFURLRef RunningApplicationBundleURL( RunningApplicationRef ra );
NSInteger RunningApplicationExecutableArchitecture( RunningApplicationRef ra );
CFURLRef RunningApplicationExecutableURL( RunningApplicationRef ra );
CFDateRef RunningApplicationLaunchDate( RunningApplicationRef ra );
Boolean RunningApplicationIsFinishedLaunching( RunningApplicationRef ra );
pid_t RunningApplicationProcessIdentifier( RunningApplicationRef ra );
Boolean RunningApplicationOwnsMenuBar( RunningApplicationRef ra );
Boolean RunningApplicationForceTerminate( RunningApplicationRef ra );
Boolean RunningApplicationTerminate( RunningApplicationRef ra );
Boolean RunningApplicationIsTerminated( RunningApplicationRef ra );

void RunningApplicationTerminateAutomaticallyTerminableApplications( void );

