/*
 Screen.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

ScreenRef ScreenMainScreen( void );
ScreenRef ScreenDeepestScreen( void );
CFArrayRef ScreenScreens( void );

NSWindowDepth ScreenDepth( ScreenRef scrn );
CGRect ScreenFrame( ScreenRef scrn );
// supportedWindowDepths
CFDictionaryRef ScreenDeviceDescription( ScreenRef scrn );
CGRect ScreenVisibleFrame( ScreenRef scrn );
//CGRect ScreenColorSpace( ScreenRef scrn );

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101200
Boolean ScreenCanRepresentDisplayGamut( ScreenRef scrn, NSInteger gamut );
#endif

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 1090
Boolean ScreenScreensHaveSeparateSpaces( void );
#endif

CGRect ScreenBackingAlignedRect( ScreenRef scrn, CGRect rect, NSAlignmentOptions options );
CGFloat ScreenBackingScaleFactor( ScreenRef scrn );
CGRect ScreenConvertRectFromBacking( ScreenRef scrn, CGRect rect );
CGRect ScreenConvertRectToBacking( ScreenRef scrn, CGRect rect );

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100
CGFloat ScreenMaximumExtendedDynamicRangeColorComponentValue( ScreenRef scrn );
#endif

// -- convenience --
CGRect ScreenMainFrame( void );

