/*
 Shadow.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

ShadowRef ShadowInit( void );
CGSize ShadowOffset( ShadowRef shadow );
void ShadowSetOffset( ShadowRef shadow, CGSize offset );
CGFloat ShadowBlurRadius( ShadowRef shadow );
void ShadowSetBlurRadius( ShadowRef shadow, CGFloat radius );
ColorRef ShadowColor( ShadowRef shadow );
void ShadowSetColor( ShadowRef shadow, ColorRef col );
void ShadowSet( ShadowRef shadow );

// convenience
ShadowRef ShadowWithAttributes( CGSize offset, CGFloat blurRadius, ColorRef col );
void ShadowSetWithAttributes( CGSize offset, CGFloat blurRadius, ColorRef col );

