/*
 StatusBar.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - system-wide instance
StatusBarRef StatusBarSystem( void );

// - status items -
StatusItemRef StatusBarStatusItem( StatusBarRef bar, CGFloat length );
void StatusBarRemoveStatusItem( StatusBarRef bar, StatusItemRef item );

// - attributes -
Boolean StatusBarIsVertical( StatusBarRef bar );
CGFloat StatusBarThickness( StatusBarRef bar );

