/*
 StatusBar.m

 Bernie Wylde
 */

#import "StatusBar.h"

// - system-wide instance
StatusBarRef StatusBarSystem( void )
{ return [NSStatusBar systemStatusBar]; }

// - status items -
StatusItemRef StatusBarStatusItem( StatusBarRef bar, CGFloat length )
{ return [bar statusItemWithLength:length]; }

void StatusBarRemoveStatusItem( StatusBarRef bar, StatusItemRef item )
{ [bar removeStatusItem:item]; }

// - attributes -
Boolean StatusBarIsVertical( StatusBarRef bar )
{ return [bar isVertical]; }

CGFloat StatusBarThickness( StatusBarRef bar )
{ return [bar thickness]; }

