/*
 StatusBarButton.m

 Bernie Wylde
 */

#import "StatusBarButton.h"

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
@implementation CocoaStatusBarButtonTarget
@synthesize callback;
@synthesize userData;

- (void)action:(id)sender {
    if ( callback ) (*callback)(sender,userData);
}
@end

Boolean StatusBarButtonAppearsDisabled( StatusBarButtonRef ref )
{ return [ref appearsDisabled]; }

void StatusBarButtonSetAppearsDisabled( StatusBarButtonRef ref, Boolean flag )
{ [ref setAppearsDisabled:flag]; }
#endif
