/*
 TableHeaderCell.m

 Bernie Wylde
 */

#import "TableHeaderCell.h"

@implementation TableHeaderCellSC
@synthesize fontProp, textColorProp;

- (NSFont *)font {
    CellEventSetFont( fontProp );
    CallUserDefinedOnDialogFunction( cellFont, 0, 0, self );
    return CellEventFont();
}

- (NSColor *)textColor {
    TextFieldCellEventSetTextColor( textColorProp );
    CallUserDefinedOnDialogFunction( textFieldCellTextColor, 0, 0, self );
    return TextFieldCellEventTextColor();
}
@end

// Create
TableHeaderCellRef TableHeaderCellInit( void )
{ return [[[TableHeaderCellSC alloc] init] autorelease]; }

