/*
 TableHeaderView.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>


// Table view
TableViewRef TableHeaderViewTableView( TableHeaderViewRef ref );
void TableHeaderViewSetTableView( TableHeaderViewRef ref, TableViewRef tableVw );

// Altered columns
NSInteger TableHeaderViewDraggedColumn( TableHeaderViewRef ref );
CGFloat TableHeaderViewDraggedDistance( TableHeaderViewRef ref );
NSInteger TableHeaderViewResizedColumn( TableHeaderViewRef ref );

// Utility methods
NSInteger TableHeaderViewColumnAtPoint( TableHeaderViewRef ref, CGPoint pt );
CGRect TableHeaderViewHeaderRectOfColumn( TableHeaderViewRef ref, NSInteger col );
