/*
 TableHeaderView.m

 Bernie Wylde
 */

#import "TableHeaderView.h"

// Table view
TableViewRef TableHeaderViewTableView( TableHeaderViewRef ref )
{ return [ref tableView]; }

void TableHeaderViewSetTableView( TableHeaderViewRef ref, TableViewRef tableVw )
{ [ref setTableView:tableVw]; }

// Altered columns
NSInteger TableHeaderViewDraggedColumn( TableHeaderViewRef ref )
{ return [ref draggedColumn]; }

CGFloat TableHeaderViewDraggedDistance( TableHeaderViewRef ref )
{ return [ref draggedDistance]; }

NSInteger TableHeaderViewResizedColumn( TableHeaderViewRef ref )
{ return [ref resizedColumn]; }

// Utility methods
NSInteger TableHeaderViewColumnAtPoint( TableHeaderViewRef ref, CGPoint pt )
{ return [ref columnAtPoint:NSPointFromCGPoint(pt)]; }

CGRect TableHeaderViewHeaderRectOfColumn( TableHeaderViewRef ref, NSInteger col )
{ return NSRectToCGRect([ref headerRectOfColumn:col]); }

