/*
 TextFieldCell.m

 Bernie Wylde
 */

#import "TextFieldCell.h"

@implementation TextFieldCellSC
- (NSColor *)textColor {
    TextFieldCellEventSetTextColor( [self textColor] );
    CallUserDefinedOnDialogFunction( textFieldCellTextColor, 0, 0, self );
    return TextFieldCellEventTextColor();
}
@end



@implementation TextFieldCellEvent
@synthesize textColorObj;
@end

TextFieldCellEvent *TextFieldCellEventObj( void )
{
    static TextFieldCellEvent *sTextFieldCellEvent = nil;
    if ( !sTextFieldCellEvent ) sTextFieldCellEvent = [[TextFieldCellEvent alloc] init];
    return sTextFieldCellEvent;
}

NSColor *TextFieldCellEventTextColor( void )
{
    TextFieldCellEvent *obj = TextFieldCellEventObj();
    return [obj textColorObj];
}

void TextFieldCellEventSetTextColor( ColorRef col )
{
    TextFieldCellEvent *obj = TextFieldCellEventObj();
    [obj setTextColorObj:col];
}
