/*
 TextTab.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// - create -
TextTabRef TextTabInit( NSTextAlignment alignment, CGFloat location, CFDictionaryRef options );

// - tab stop info -
CGFloat TextTabLocation( TextTabRef ref );

// - text tab info -
NSTextAlignment TextTabAlignment( TextTabRef ref );
CFDictionaryRef TextTabOptions( TextTabRef ref );
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101100
CFCharacterSetRef TextTabColumnTerminatorsForLocale( CFLocaleRef locale );
#endif

