/*
 Touch.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Type
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101202
NSTouchType TouchType( TouchRef ref );
#endif

// Properties of this touch
CFTypeRef TouchIdentity( TouchRef ref );
NSTouchPhase TouchPhase( TouchRef ref );
CGPoint TouchNormalizedPosition( TouchRef ref );
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101000
Boolean TouchIsResting( TouchRef ref );
#endif

// Properties of touch device
CFTypeRef TouchDevice( TouchRef ref );
CGSize TouchDeviceSize( TouchRef ref );

// Touch location
#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101202
CGPoint TouchLocationInView( TouchRef ref, NSInteger tag );
CGPoint TouchPreviousLocationInView( TouchRef ref, NSInteger tag );
#endif

