/*
 UserDefaultsController.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

// Shared instance
UserDefaultsControllerRef UserDefaultsControllerShared( void );

// Init

// Values
UserDefaultsRef UserDefaultsControllerDefaults( void );
CFDictionaryRef UserDefaultsControllerInitialValues( void );
void UserDefaultsControllerSetInitialValues( CFDictionaryRef values );
Boolean UserDefaultsControllerHasUnappliedChanges( void );
Boolean UserDefaultsControllerAppliesImmediately( void );
void UserDefaultsControllerSetAppliesImmediately( Boolean flag );
CFTypeRef UserDefaultsControllerValues( void );
void UserDefaultsControllerRevert( void );
void UserDefaultsControllerRevertToInitialValues( void );
void UserDefaultsControllerSave( void );

// Convenience
void UserDefaultsControllerValuesSetValueForKey( CFTypeRef value, CFStringRef key );
