/*
 WindowTabGroup.h

 Bernie Wylde
 */

#import <AppKit/AppKit.h>

#if __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300 && __MAC_OS_X_VERSION_MIN_REQUIRED >= 101300

CFStringRef WindowTabGroupIdentifier( WindowTabGroupRef ref );
Boolean WindowTabGroupIsOverviewVisible( WindowTabGroupRef ref );
void WindowTabGroupSetOverviewVisible( WindowTabGroupRef ref, Boolean flag );
Boolean WindowTabGroupIsTabBarVisible( WindowTabGroupRef ref );
NSInteger WindowTabGroupSelectedWindow( WindowTabGroupRef ref );
void WindowTabGroupSetSelectedWindow( WindowTabGroupRef ref, NSInteger tag );
CFArrayRef WindowTabGroupWindows( WindowTabGroupRef ref );
void WindowTabGroupAddWindow( WindowTabGroupRef ref, NSInteger tag );
void WindowTabGroupInsertWindow( WindowTabGroupRef ref, NSInteger tag, NSInteger index );
void WindowTabGroupRemoveWindow( WindowTabGroupRef ref, NSInteger tag );

#endif
