#import <AppKit/AppKit.h>
#include "FBtoC.h"
#include "Runtime.h"
//#include "SystemDirectoryCopyURL.h"

///////////////////////////////////////////////////
//  prototypes + translated #defines and records //
///////////////////////////////////////////////////
FBBoolean       FH_FileExistsAtPath( CFStringRef path ) ;
FBBoolean       FH_LastFileExists( CFURLRef url ) ;
CFURLRef        FH_AppendComponentToURL( CFURLRef baseURL, CFStringRef componentToAppend ) ;
CFStringRef     FH_AppendComponentToString( CFStringRef basePath, CFStringRef componentToAppend ) ;
CFURLRef        FH_GetBundleResourceDirectoryURL() ;
CFURLRef        FH_GetSysDirAndPathURL( UInt32 whichDirectory, UInt32 whichDomain, CFStringRef whichAppendComponent ) ;
long            FH_GetFileType( CFURLRef url, OSType * type ) ;
void            FH_SetTypeCreator( CFURLRef fileURL, OSType type, OSType creator ) ;
UInt64          FH_FileLength( NSURL *url ) ;
UInt64          FH_CurrentOffsetInFile( CFURLRef url );
OSStatus        FH_SetFilePointerToEndOfFile( NSURL *url, SInt64 *filePos );

NSData *        FH_ReadCopyData( NSUInteger length, SInt64 *offset, NSURL *url );
void            FH_PrintFile( CFURLRef url, CFStringRef string ) ;
CFStringRef     FH_InputFile( CFURLRef url, CFStringRef string ) ;
OSStatus        FH_ReadChar( SInt64 * offset, UInt8 *value, NSURL *url );
void            FH_ReadFile( void *p, SInt64 length, SInt64 *offset, NSURL *url );

UInt64          FH_WriteData( CFDataRef inData, UInt64 inOffset, NSURL *url );
UInt64          FH_WriteFile( void *p, UInt64 length, UInt64 offset, NSURL *url );

UInt64          FH_WriteChar( CFURLRef url, char theChar, SInt64 offset );
BOOL            FH_BuildEmptyFile( CFURLRef url );
long            FH_FSpTrashObject( CFStringRef sourceObj ) ;
CFStringRef     FH_URLGetPath( CFURLRef url );
UInt64          FH_TruncateFileAtOffset( NSFileHandle *fh, UInt64 inOffset );
//OSStatus        FH_IsFileAvailable( CFURLRef url, char openMode, int *fd );
OSStatus        FH_IsFileAvailable( CFURLRef url, char *modeRequested, int *fd, int fileID );
//CFURLRef        OSPanelOpen( UInt32 options, CFStringRef message, CFTypeRef allowedFileTypes, CFStringRef prompt, CFURLRef dirURL );

